# -*- coding: ansi -*-
import random

einkauf = float(input("Bitte geben Sie die Einkaufssumme ein: "))

gewinne = (
    [100] * 1 +
    [50] * 2 +
    [20] * 3 +
    [10] * 5 +
    [5]  * 8 +
    [0]  * 10
)

gewinn_prozent = random.choice(gewinne)
zu_zahlen = einkauf * (100 - gewinn_prozent) / 100

# Ausgabe
print(f"Glücksrad-Ergebnis: {gewinn_prozent}% Rabatt")
print(f"Ursprüngliche Summe: {einkauf:.2f} Euro")
print(f"Zu zahlende Summe: {zu_zahlen:.2f} Euro")
